Bug 224219 - [PATCH] textproc/py-qrcode fix man page path
Summary: [PATCH] textproc/py-qrcode fix man page path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Craig Leres
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-12-10 02:37 UTC by Craig Leres
Modified: 2018-01-26 21:58 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kyuupichan)


Attachments
patch (558 bytes, text/plain)
2017-12-10 02:37 UTC, Craig Leres
leres: maintainer-approval?
Details
poudriere build log (5.64 KB, text/plain)
2017-12-10 02:39 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2017-12-10 02:37:26 UTC
Created attachment 188677 [details]
patch

I recently installed textproc/py-qrcode and found man(1) could not locate the man page. The attached patches setup.py to install in ${PREFIX}/man/man1 instead of ${PREFIX}/share/man/man1
Comment 1 Craig Leres freebsd_committer 2017-12-10 02:39:10 UTC
Created attachment 188678 [details]
poudriere build log
Comment 2 kyuupichan 2018-01-16 23:15:16 UTC
I no longer use any of these ports; I would appreciate being removed from maintainer status
Comment 3 commit-hook freebsd_committer 2018-01-26 21:56:58 UTC
A commit references this bug:

Author: leres
Date: Fri Jan 26 21:56:10 UTC 2018
New revision: 460054
URL: https://svnweb.freebsd.org/changeset/ports/460054

Log:
  Patch setup.py to install the man page in ${PREFIX}/man/man1
  instead of ${PREFIX}/share/man/man1

  Assume matainership (the current maintainer requests being removed
  in PR 224219).

  PR:		224219
  Reviewed by:	ler (mentor)
  Approved by:	ler (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13902

Changes:
  head/textproc/py-qrcode/Makefile